<?php
	include_once(__DIR__."/../../core.php");


	switch( $html->form('op', 'post') ){

	
		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = $_POST['descrizione'];
				$query = "INSERT INTO co_tipidocumento_wizard(descrizione) VALUES (\"$descrizione\")";
				$dbo->query($query);
				$id_record=$dbo->last_inserted_id();
				array_push( $_SESSION['infos'], "Aggiunta una nuova tipologia!" );
			}
			
			break;


	
		case "update":
			$descrizione = $_POST['descrizione'];
			$iddocumento_crea = $_POST['iddocumento_crea'];
			$iddocumento_stato_successivo = $_POST['iddocumento_stato_successivo'];
			if( $modules_info[$module_name]["permessi"] == 'rw' ){									
				$query = "UPDATE co_tipidocumento_wizard SET descrizione=\"".$descrizione."\" , iddocumento_crea=\"".$iddocumento_crea."\" , iddocumento_stato_successivo=\"".$iddocumento_stato_successivo."\"  WHERE id=\"".$id_record."\"";
				$dbo->query( $query );
				array_push( $_SESSION['infos'],	"Condizioni wizard modificate!" );	
			}
			break;

		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$dbo->query("DELETE FROM co_tipidocumento_wizard WHERE id='$id_record'");
				array_push( $_SESSION['infos'],	"Condizioni wizard rimossa!" );	
			}
			break;

		case "add_tipologia":
			$idtipodocumento = $_POST['idtipodocumento'];
			$idstatoiniziale = $_POST['idstatoiniziale'];
			$idstatofinale = $_POST['idstatofinale'];
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$query = "INSERT INTO co_tipidocumento_wizard_righe(idwizard,idtipodocumento,id_stato_cerca,id_stato_inserisci) VALUES (\"$id_record\",\"$idtipodocumento\",\"$idstatoiniziale\",\"$idstatofinale\")";
				$dbo->query($query);
			}
			array_push( $_SESSION['infos'],	"Nuova tipologia aggiunta !" );	
		break;

		case "edit_tipologia":
			$idriga = save($_POST['idriga']);
			$idtipodocumento = save($_POST['idtipodocumento']);
			$id_stato_cerca = save($_POST['idstatoiniziale']);
			$id_stato_inserisci = save($_POST['idstatofinale']);
			if( $modules_info[$module_name]["permessi"] == 'rw' ){									
				$query = "UPDATE co_tipidocumento_wizard_righe SET idtipodocumento=\"".$idtipodocumento."\" , id_stato_cerca=\"".$id_stato_cerca."\" , id_stato_inserisci=\"".$id_stato_inserisci."\"  WHERE id=\"".$idriga."\"";
				$dbo->query( $query );
				array_push( $_SESSION['infos'],	"Condizioni Tipologia Wizard modificata!" );	
			}
		break;
		
		case "unlink_tipologia":
			$idriga = save($_POST['idriga']);
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$dbo->query("DELETE FROM co_tipidocumento_wizard_righe WHERE id='$idriga'");
				array_push( $_SESSION['infos'],	"Condizioni Tipologia Wizard rimossa!" );	
			}
		break;

}


?>
